package com.sxyz.rfid.utils;

import android.util.Log;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.OffsetDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

/**
 * 主要功能:
 *
 * @Description:
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.utils
 * @author: chunyuanwu
 * @date: 2025年12月31日 10:42
 * @version: 1.0.0
 */
public class TimeUtils {
    /**
     * 转换为中国本地时间格式
     */
    public static String toChineseFormat(String timeStr, String formatStr) {
        SimpleDateFormat dateFormat = new SimpleDateFormat(formatStr);
        try {
            Date date = dateFormat.parse(timeStr);
            return dateFormat.format(date);
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }
    }
}
